POS API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Checks
  • Introduction
  • Checks
    • List checks
      GET
    • Get check by ID
      GET
    • Create a new check
      POST
    • Add items to check
      POST
    • Add payment to check
      POST
    • Add discount to check
      POST
  • Customers
    • List customers
      GET
    • Create customer
      POST
    • Update customer
      PATCH
  • Menu Items
    • List menu items (v2)
      GET
    • Get menu item by ID
      GET
    • Create menu item
      POST
    • Update menu item
      PATCH
  • Employees
    • List employees
      GET
  • Properties
    • List properties
      GET
  • Reports
    • Get daily totals (v2)
      GET
  • Accounting
    • List enterprises
      GET
    • Get enterprise by ID
      GET
  • Schemas
    • Schemas
      • PaginationMeta
      • Translation
      • Metafield
      • Error
      • Check
      • Customer
      • CustomerSummary
      • CustomerAccountDetail
      • MenuItem
      • Employee
      • Property
      • Enterprise
      • RevenueCenter
      • Table
      • SalesChannel
      • Delivery
      • CheckServiceCharge
      • CheckSummary
      • CheckDiscount
      • CheckPayment
      • CheckItem
      • CheckItemSummary
      • CheckOffer
      • Tax
      • Item
      • Device
      • Tag
      • ItemDefinition
      • CondimentGroup
      • DailyTotals
      • CreateCheckRequest
      • CreateCheckItemRequest
      • AddCheckPaymentRequest
      • AddCheckDiscountRequest
      • CreateCustomerRequest
      • CustomerAddressRequest
      • CustomerInvoiceRequest
      • UpdateCustomerRequest
      • CreateMenuItemRequest
      • UpdateMenuItemRequest
  1. Checks

Get check by ID

Production
https://api.simpra.app
Production
https://api.simpra.app
GET
https://api.simpra.app
/checks/{id}
Retrieve a specific check by its ID

Request

Authorization
Add parameter in header
Simpra-Access-Token
Example:
Simpra-Access-Token: ********************
Path Params

Header Params

Responses

🟢200OK
application/json
Successfully retrieved check
Body

🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.simpra.app/checks/' \
--header 'Simpra-Access-Token: <api-key>' \
--header 'Content-Type: application\json'
Response Response Example
200 - Example 1
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "alias": "string",
    "created_at": 0,
    "updated_at": 0,
    "closed_at": 0,
    "business_date": "2019-08-24",
    "female_cover": 0,
    "male_cover": 0,
    "child_cover": 0,
    "note": "string",
    "sequence": 0,
    "status": "open",
    "delivery_status": "delivered",
    "sequential_id": 0,
    "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",
    "revenue_center": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "shift_id": "f15914ca-a3fc-41f9-a948-5ac849d2a017",
    "employee": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "first_name": "string",
        "last_name": "string",
        "phone_number": "string",
        "registration_no": "string",
        "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",
        "metafields": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "key": "string",
                "value": "string",
                "value_type": "string",
                "updated_at": 0
            }
        ]
    },
    "table": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "sales_channel": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "customer": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "first_name": "string",
        "last_name": "string",
        "phone_number": "string",
        "email": "user@example.com",
        "gender": "male",
        "enterprise_id": "2dbe425a-b3bc-4170-8bae-9e5391aafea6",
        "created_at": 0,
        "updated_at": 0,
        "customer_discount_id": "19a13e6f-e7b9-4388-8c2b-b53e4048e42a",
        "account_detail": {
            "checks_count": 0,
            "checks_paid_amount": 0,
            "total_current_account": 0,
            "paid_current_account": 0,
            "remaining_current_account": 0
        },
        "tags": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            }
        ],
        "external_id": "string",
        "metafields": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "key": "string",
                "value": "string",
                "value_type": "string",
                "updated_at": 0
            }
        ]
    },
    "delivery": {
        "address": "string",
        "address_id": "a32b0e3d-a5f5-48d8-a572-6ae561815055",
        "recipient": "string",
        "payment_names": "string"
    },
    "extras": {},
    "check_service_charge": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "service_charge_id": "e710ad28-695c-4726-b723-bcf5905d56f8",
        "business_date": "2019-08-24",
        "amount": "string",
        "tax_amount": "string",
        "net_amount": "string",
        "tax": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "rate": 0,
            "name": "string"
        }
    },
    "summary": {
        "original_items_amount": "string",
        "original_taxes_amount": "string",
        "complimentaries_amount": "string",
        "discounts_amount": "string",
        "taxes_amount": "string",
        "service_charge_amount": "string",
        "paid_amount": "string",
        "unpaid_amount": "string",
        "paid_service_charge_amount": "string",
        "total_amount": "string",
        "base_amount": "string",
        "offer_amount": "string"
    },
    "check_discounts": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "business_date": "2019-08-24",
            "source": "system",
            "value": "string",
            "discount_amount": "string",
            "discount_id": "49c104c1-008b-4f4f-abbc-6958059cb48b",
            "name": "string",
            "type": "amount",
            "annotation": "string"
        }
    ],
    "check_payments": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "business_date": "2019-08-24",
            "payment_type_id": "6ea6e896-c44e-47d4-b378-37bacf1cc10f",
            "paid_amount": "string",
            "device": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string"
            },
            "extras": {}
        }
    ],
    "check_items": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "parent_check_item_id": "b3d6a0a4-e414-431a-a1d6-bfc6eb2e1eb2",
            "reason_id": "e93b00b6-69c5-47ba-b0e6-cff780f2f878",
            "business_date": "2019-08-24",
            "status": "ordered",
            "payment_status": "paid",
            "complimentary": true,
            "unit_type": "string",
            "quantity": "string",
            "notes": [
                "string"
            ],
            "is_combo": true,
            "summary": {
                "discount_amount": "string",
                "tax_amount": "string",
                "total_amount": "string",
                "original_amount": "string",
                "original_tax_amount": "string"
            },
            "tax": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "rate": 0,
                "name": "string"
            },
            "item": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "type": "string",
                "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81"
            }
        }
    ],
    "check_offers": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "offer_id": "d5a7a5b7-a4a3-49e7-9c69-b44d2cbe15cf",
            "name": "string",
            "value": "string"
        }
    ]
}
Modified at 2025-09-10 09:28:46
Previous
List checks
Next
Create a new check
Built with